### Method

# Shumate FileCache get_tile_finish

#### Declaration [src]

    GBytes*
    shumate_file_cache_get_tile_finish (
      ShumateFileCache* self,
      char** etag,
      GDateTime** modtime,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the tile data from a completed `shumate_file_cache_get_tile_async()` operation.

`modtime` will be set to the time the tile was added to the cache, or the latest time it was confirmed to be up to date.

`etag` will be set to the data’s ETag, if present.

#### Parameters

`etag` | `char**`
| A location for the data’s ETag, or `NULL`.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.
`modtime` | `GDateTime`
| A location to return the tile’s last modification time, or `NULL`.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GBytes`
| A `GBytes` containing the tile data, or `NULL` if the tile was not in the cache or an error occurred.
| The caller of the method takes ownership of the data, and is responsible for freeing it.